La configuración 'compilar' es obsoleta y ha sido reemplazada por 'implementación' y 'api'.

Configurationcompileis Obsolete

Se advirtió que Android Studio se actualizó posteriormente a la versión 3.1. Google lo tradujo: Configurar 'compilar' está obsoleto y se ha reemplazado la 'implementación'



compilar presumiblemente no son familiares, es la presencia de un archivo gradle



con



Soluciones para compilar bajo dependencias modificadas para sincronizar la implementación del proyecto, la advertencia del proyecto desaparece

Donde, dependencias en el archivo build.gradle: a continuación